clear all 
%% compactifie l'affichage 
format short e
format compact 
%% s'arreter dans la fonction qui produit une erreur 
%dbstop if error
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% definition des instantannes pour le stockage
tf = 2 ; 
dt = 0.1 ; 
tspan= 0:dt:tf ; 
%% Nombre de pas de temps pour les resultats 
st = size(tspan) ; 
nt = st(2) ; 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% definition du domaine initial et de l'echantillonage 
%% des points de tirs 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
x0min = -1 ; 
x0max =  1 ; 
dx = 0.1; 
x0 = x0min:dx:x0max ; 
%% Nombre de points initiaux 
sx0 = size(x0) ; 
ntir = sx0(2) ;
%% positions initiales x0
%% vitesses initiales p0 et 
%% phases initiale phi0
[phi0,p0]= fi0(x0) ;
%% dimensionement de la solution a tir fixe
%%  sol(t,:) : y  p  phi    
%%
sol= zeros(nt,3);
%% 
%% tableau de stockage des resultats 
%% 
yy= zeros(nt,ntir) ;
pp = zeros(nt,ntir) ; 
phi= zeros(nt,ntir) ; 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% boucle sur les points intiaux 
for i=1:ntir 
'tir numero ' , i 
condini = [x0(i) p0(i) phi0(i)] ;
%% resoud ; MATLAB fait le travail pour vous
[t,sol] = ode45('sysham',tspan,condini) ;
%% stockage du resultat
yy(:,i)=sol(:,1) ; 
pp(:,i)=sol(:,2) ; 
phi(:,i)=sol(:,3) ; 
end 











